Page MenuHomePhabricator

Pronunciations are not detected in mobile-section anymore
Closed, ResolvedPublic

Description

https://en.wikipedia.org/api/rest_v1/page/mobile-sections-lead/Barack_Obama used to have a pronunciation property until recently.
MCS integration tests are failing because it's not found anymore.

TypeError: Cannot read property 'url' of undefined

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterWIP: mobile-sections: fix pronunciations, try 1
mediawiki/services/mobileapps : mastermobile-sections: fix pronunciations

Event Timeline

bearND created this task.Jan 22 2019, 1:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 1:17 AM
bearND claimed this task.Jan 22 2019, 1:17 AM
bearND triaged this task as High priority.
bearND updated the task description. (Show Details)Jan 22 2019, 1:38 AM

Change 485728 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] WIP: mobile-sections: fix pronunciations, try 1

https://gerrit.wikimedia.org/r/485728

Change 485729 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] WIP: mobile-sections: fix pronunciations, try 2

https://gerrit.wikimedia.org/r/485729

Change 485729 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-sections: fix pronunciations

https://gerrit.wikimedia.org/r/485729

Mentioned in SAL (#wikimedia-operations) [2019-01-22T18:51:59Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@0bcdd3f]: Update mobileapps to 0aac268 (fix pronunciation detection in mobile-sections T214338)

Mentioned in SAL (#wikimedia-operations) [2019-01-22T18:55:58Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@0bcdd3f]: Update mobileapps to 0aac268 (fix pronunciation detection in mobile-sections T214338) (duration: 04m 00s)

Mentioned in SAL (#wikimedia-releng) [2019-01-22T18:56:08Z] <bearND> (beta) Update mobileapps to 0aac268 (fix pronunciation detection in mobile-sections T214338)

Tgr added a subscriber: Tgr.Jan 22 2019, 10:19 PM

Looks like this enwiki change triggered the issue.

We should explore in a separate task (T214530) to reach out to the communities to add a more stable marker in the HTML output for Template:IPA_audio_link.

Change 485728 abandoned by BearND:
WIP: mobile-sections: fix pronunciations, try 1

https://gerrit.wikimedia.org/r/485728

Jhernandez closed this task as Resolved.Feb 14 2019, 4:08 PM